View Single Post
  #1  
Old 9th December 2012, 12:35
Hasanov Hasanov is offline
Junior Member
 
Join Date: Dec 2012
Posts: 4
Thanks: 0
Thanked 0 Times in 0 Posts
Default dovecot problem after ISPCONFIG

I went through step-by-step installation guide and did everything that had to be done to install ISPconfig on my new centos 5.8 server. There is just one problem and that is Dovecot is not installed. When I try to install again it shows some missing dependencies... AND one more thing from where I can get GPG key for ATrpms repository.. Thanks..



Code:
[root@baki ~]# yum install dovecot dovecot-sieve
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * atomic: mir01.syntis.net
 * base: mirror.ovh.net
 * centosplus: mirror.ovh.net
 * contrib: mirror.ovh.net
 * extras: mirror.ovh.net
 * rpmforge: archive.cs.uu.nl
 * updates: mirror.ovh.net
Excluding Packages in global exclude list
Finished
Excluding Packages from Red Hat Enterprise Linux 5 - x86_64 - ATrpms
Finished
Reducing Red Hat Enterprise Linux 5 - x86_64 - ATrpms to included packages only
Finished
Excluding Packages from Red Hat Enterprise Linux 5 - x86_64 - ATrpms testing
Finished
Reducing Red Hat Enterprise Linux 5 - x86_64 - ATrpms testing to included packages only
Finished
Excluding Packages from CentOS-5 - Base
Finished
Reducing CentOS-5 - Plus to included packages only
Finished
Excluding Packages from CentOS-5 - Updates
Finished
Setting up Install Process
No package dovecot-sieve available.
Resolving Dependencies
--> Running transaction check
---> Package dovecot.x86_64 1:1.0.15-1_74.el3 set to be updated
--> Processing Dependency: libpq.so.3()(64bit) for package: dovecot
--> Processing Dependency: libmysqlclient.so.10()(64bit) for package: dovecot
--> Processing Dependency: libldap.so.2()(64bit) for package: dovecot
--> Processing Dependency: liblber.so.2()(64bit) for package: dovecot
--> Finished Dependency Resolution
1:dovecot-1.0.15-1_74.el3.x86_64 from atrpms has depsolving problems
  --> Missing Dependency: libmysqlclient.so.10()(64bit) is needed by package 1:dovecot-1.0.15-1_74.el3.x86_64 (atrpms)
1:dovecot-1.0.15-1_74.el3.x86_64 from atrpms has depsolving problems
  --> Missing Dependency: libldap.so.2()(64bit) is needed by package 1:dovecot-1.0.15-1_74.el3.x86_64 (atrpms)
1:dovecot-1.0.15-1_74.el3.x86_64 from atrpms has depsolving problems
  --> Missing Dependency: libpq.so.3()(64bit) is needed by package 1:dovecot-1.0.15-1_74.el3.x86_64 (atrpms)
1:dovecot-1.0.15-1_74.el3.x86_64 from atrpms has depsolving problems
  --> Missing Dependency: liblber.so.2()(64bit) is needed by package 1:dovecot-1.0.15-1_74.el3.x86_64 (atrpms)
Error: Missing Dependency: libldap.so.2()(64bit) is needed by package 1:dovecot-1.0.15-1_74.el3.x86_64 (atrpms)
Error: Missing Dependency: libpq.so.3()(64bit) is needed by package 1:dovecot-1.0.15-1_74.el3.x86_64 (atrpms)
Error: Missing Dependency: libmysqlclient.so.10()(64bit) is needed by package 1:dovecot-1.0.15-1_74.el3.x86_64 (atrpms)
Error: Missing Dependency: liblber.so.2()(64bit) is needed by package 1:dovecot-1.0.15-1_74.el3.x86_64 (atrpms)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.
BTW. I'm a total newbie to linux but not an idiot. So if you guys can show me around, I will be able to know what to do. Thank you all in advance, kind regards!
Reply With Quote
Sponsored Links